Package org.eclipse.m2m.atl.engine.compiler

## Class CompileTimeError

- java.lang.Object
- - org.eclipse.m2m.atl.engine.compiler.CompileTimeError

    public class CompileTimeError
    extends java.lang.Object

Describes an error which has occurred when compiling an ATL script.

### Constructor Summary

Constructors
`CompileTimeError​(java.lang.String severity, java.lang.String location, java.lang.String description)` Creates an instance of CompileError.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Returns the description.
`java.lang.String` `getLocation()` Returns the location.
`java.lang.String` `getSeverity()` Returns the severity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompileTimeError

    public CompileTimeError​(java.lang.String severity,
                            java.lang.String location,
                            java.lang.String description)

Creates an instance of CompileError.

Parameters:
  `severity` - the error severity
  `location` - the location at which the error occurred
  `description` - the description of the error

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Returns the description.

Returns:
  the description

#### getLocation

    public java.lang.String getLocation()

Returns the location.

Returns:
  the location (format = linenumber:columnnumber)

#### getSeverity

    public java.lang.String getSeverity()

Returns the severity.

Returns:
  the severity